Bug 124232 - [PATCH] IPv6 support in ncftp is broken
[PATCH] IPv6 support in ncftp is broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncftp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Ben Levenson
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-05-24 17:21 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 07:35:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-05-24 17:21:04 EDT
Description of problem:
The latest ncftp hasn't working IPv6 support...

--- snipp ---
tux:~ # ncftp ftp://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/
NcFTP 3.1.7 (Jan 07, 2004) by Mike Gleason (http://www.NcFTP.com/contact/).
Resolving ftp.ipv6.funet.fi...
Unknown host "ftp.ipv6.funet.fi".
ncftp>
--- snapp ---

Version-Release number of selected component (if applicable):
ncftp-3.1.7-2

Actual results:
The following gave me the IPv6 support back:

--- snipp ---
--- ncftp.spec       2004-02-13 20:31:55.000000000 +0100
+++ ncftp.spec.rsc   2004-05-24 23:18:48.000000000 +0200
@@ -2,19 +2,18 @@
 Name: ncftp
 Version: 3.1.7
 Epoch: 2
-Release: 2
-Prefix: %{_prefix}
+Release: 3
 License: Distributable
 Group: Applications/Internet
-Source0: ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.bz2
+Source0: ftp://ftp.ncftp.com/ncftp/%{name}-%{version}-src.tar.bz2
 Patch1: ncftp-3.0.1-pref.patch
 Patch2: ncftp-3.1.7-shell.patch
-Patch3: ftp://ftp.kame.net/pub/kame/misc/ncftp-315-v6-20030112.diff.gz
+Patch3: ftp://ftp.kame.net/pub/kame/misc/ncftp-317-v6-20040119.diff.gz
 Patch4: ncftp-3.0.3-resume.patch
 Patch5: ncftp-3.1.5-pmeter.patch
 Patch6: ncftp-3.1.5-ncursesw.patch
 Patch7: ncftp-3.1.6-rh1.patch
-BuildRoot: /var/tmp/%{name}-root
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: ncurses-devel glibc-devel gcc
 URL: http://www.ncftp.com/ncftp/

@@ -27,7 +26,7 @@
 %setup -q
 %patch1 -p0 -b .pref
 %patch2 -p1
-#%patch3 -p1 -b .ipv6
+%patch3 -p1 -b .ipv6
 %patch4 -p1 -b .res
 %patch5 -p1 -b .pmeter
 %patch6 -p1 -b .ncursesw
@@ -41,9 +40,9 @@

 %install
 rm -rf $RPM_BUILD_ROOT
-mkdir -p $RPM_BUILD_ROOT{/usr/bin,%{_mandir}/man1}
+mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

-%makeinstall BINDIR=$RPM_BUILD_ROOT/usr/bin
+%makeinstall BINDIR=$RPM_BUILD_ROOT%{_bindir}

 mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet

@@ -68,6 +67,10 @@
 %{_mandir}/man1/ncftpspooler.1*

 %changelog
+* Mon May 24 2004 Robert Scheck <redhat@linuxnetz.de> 3.1.7-3
+- called back working IPv6 support using a newer patch
+- spec file clean up
+
 * Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt

--- snapp ---

Expected results:
Working IPv6 support in ncftp

Additional info:
The proof of concept using my solution:

--- snipp ---
tux:~ # ncftp ftp://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/
NcFTP 3.1.7 (Jan 07, 2004) by Mike Gleason (http://www.NcFTP.com/contact/).
Connecting to ftp.ipv6.funet.fi...
--------- Welcome to Pure-FTPd [privsep] ----------
You are user number 1 of 100 allowed.
[...]
--- snapp ---
Comment 1 Karsten Hopp 2004-07-05 07:35:29 EDT
ipv6 support added back in ncftp-3.1.7-4 

Note You need to log in before you can comment on or make changes to this bug.